Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class GetOrgModelRootsResponse

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.GetOrgModelRootsResponse

    public class GetOrgModelRootsResponse

extends java.lang.Object

Constructor Summary
`GetOrgModelRootsResponse()`

Method Summary
`java.util.List<Capability>` | `getCapabilityArray()`
`java.util.List<Group>` | `getGroupArray()`
`java.util.List<Location>` | `getLocationArray()`
`java.util.List<ModelOrgUnit>` | `getModelorgUnitArray()`
`java.lang.String` | `getModelVersion()`
`java.util.List<Organization>` | `getOrganizationArray()`
`java.util.List<Privilege>` | `getPrivilegeArray()`
`java.util.List<OrgAttribute>` | `getResAttrArray()`
`void` | `setCapabilityArray(java.util.List<Capability> capabilityArray)`
`void` | `setGroupArray(java.util.List<Group> groupArray)`
`void` | `setLocationArray(java.util.List<Location> locationArray)`
`void` | `setModelorgUnitArray(java.util.List<ModelOrgUnit> modelorgUnitArray)`
`void` | `setModelVersion(java.lang.String modelVersion)`
`void` | `setOrganizationArray(java.util.List<Organization> organizationArray)`
`void` | `setPrivilegeArray(java.util.List<Privilege> privilegeArray)`
`void` | `setResAttrArray(java.util.List<OrgAttribute> resAttrArray)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetOrgModelRootsResponse

    public GetOrgModelRootsResponse()

Method Detail

### getCapabilityArray

    public java.util.List<Capability> getCapabilityArray()

### setCapabilityArray

    public void setCapabilityArray(java.util.List<Capability> capabilityArray)

### getPrivilegeArray

    public java.util.List<Privilege> getPrivilegeArray()

### setPrivilegeArray

    public void setPrivilegeArray(java.util.List<Privilege> privilegeArray)

### getModelorgUnitArray

    public java.util.List<ModelOrgUnit> getModelorgUnitArray()

### setModelorgUnitArray

    public void setModelorgUnitArray(java.util.List<ModelOrgUnit> modelorgUnitArray)

### getResAttrArray

    public java.util.List<OrgAttribute> getResAttrArray()

### setResAttrArray

    public void setResAttrArray(java.util.List<OrgAttribute> resAttrArray)

### getLocationArray

    public java.util.List<Location> getLocationArray()

### setLocationArray

    public void setLocationArray(java.util.List<Location> locationArray)

### getGroupArray

    public java.util.List<Group> getGroupArray()

### setGroupArray

    public void setGroupArray(java.util.List<Group> groupArray)

### getModelVersion

    public java.lang.String getModelVersion()

### setModelVersion

    public void setModelVersion(java.lang.String modelVersion)

### getOrganizationArray

    public java.util.List<Organization> getOrganizationArray()

### setOrganizationArray

    public void setOrganizationArray(java.util.List<Organization> organizationArray)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.